Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SPuri

    java.lang.Object
      org.bouncycastle.asn1.esf.SPuri

    public class SPuri

extends java.lang.Object

Constructor Summary
`SPuri(DERIA5String uri)`

Method Summary
`static SPuri` | `getInstance(java.lang.Object obj)`
`DERIA5String` | `getUri()`
`DERObject` | `toASN1Object()` SPuri ::= IA5String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPuri

    public SPuri(DERIA5String uri)

Method Detail

### getInstance

    public static SPuri getInstance(java.lang.Object obj)

### getUri

    public DERIA5String getUri()

### toASN1Object

    public DERObject toASN1Object()

       SPuri ::= IA5String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD